Bug 446021 - gtk-doc scan failed on libunicapgtk
gtk-doc scan failed on libunicapgtk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: unicap (Show other bugs)
9
ia64 Linux
low Severity low
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2008-05-12 02:17 EDT by Zhan, Yi
Modified: 2008-05-17 17:20 EDT (History)
0 users

See Also:
Fixed In Version: 0.2.22-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-17 17:20:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix libunicapgtk-scan issue (1.30 KB, patch)
2008-05-12 02:17 EDT, Zhan, Yi
no flags Details | Diff

  None (edit)
Description Zhan, Yi 2008-05-12 02:17:23 EDT
Description of problem:

This was seen when trying to build unicap on fedora ia64. Below warnings were
seen when compiling libunicapgtk-scanner:

libunicapgtk-scan.c: In function 'get_object_types':
libunicapgtk-scan.c:18: warning: implicit declaration of function
'unicapgtk_video_display_get_type'
libunicapgtk-scan.c:19: warning: implicit declaration of function
'unicapgtk_device_property_get_type'
libunicapgtk-scan.c:20: warning: implicit declaration of function
'unicapgtk_property_dialog_get_type'
libunicapgtk-scan.c:21: warning: implicit declaration of function
'unicapgtk_device_selection_get_type'
libunicapgtk-scan.c:22: warning: implicit declaration of function
'unicapgtk_video_format_selection_get_type'

Then libunicapgtk-scan failed with segfault when use
unicapgtk_video_display_get_type. Full build log can be found at
http://ia64.koji.fedoraproject.org/koji/getfile?taskID=69228&name=build.log. 

The functions were declared and defined under <top_src>/libunicapgtk/, including
<top_src>/libunicapgtk/unicapgtk.h could fix the build issue. Patch attached. 

Version-Release number of selected component (if applicable):
unicap-0.2.19-3.fc9

How reproducible:
always

Steps to Reproduce:
1. build unicap-0.2.19-3.fc9 under fedora ia64
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Zhan, Yi 2008-05-12 02:17:23 EDT
Created attachment 305083 [details]
fix libunicapgtk-scan issue
Comment 2 Robert Scheck 2008-05-12 07:29:59 EDT
(How) Can I cause scratch builds for IA64 on koji?
Comment 3 Zhan, Yi 2008-05-12 21:27:54 EDT
This can be done by:
    koji -c ~/.koji/ia64-config build --scratch dist-f9 <srpm>

I did a build to test my patch yesterday, it worked. 
http://ia64.koji.fedoraproject.org/koji/taskinfo?taskID=70982 
Comment 4 Bug Zapper 2008-05-14 07:01:19 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Robert Scheck 2008-05-17 17:20:41 EDT
Thank you for pointing out this issue and thanks for the patch. I updated CVS
to latest unicap, tested patch there with a scratch build and notified upstream
to include this patch for the next release. Grab 0.2.22-1 from CVS and rebuild
on IA64 now, will succeed.

Note You need to log in before you can comment on or make changes to this bug.